From c86776ed2c73fcc8887bc08bd2e4d6afb6f86d55 Mon Sep 17 00:00:00 2001
From: mobinmob <mobinmob@disroot.org>
Date: Sat, 29 Jun 2019 16:48:27 +0300
Subject: [PATCH] deluge: update to 2.0.3

---
 .../patches/001-deluge-gtk-settings.patch      | 18 ------------------
 srcpkgs/deluge/template                        | 12 ++++++------
 2 files changed, 6 insertions(+), 24 deletions(-)
 delete mode 100644 srcpkgs/deluge/patches/001-deluge-gtk-settings.patch

diff --git a/srcpkgs/deluge/patches/001-deluge-gtk-settings.patch b/srcpkgs/deluge/patches/001-deluge-gtk-settings.patch
deleted file mode 100644
index 71241e2aef9..00000000000
--- a/srcpkgs/deluge/patches/001-deluge-gtk-settings.patch
+++ /dev/null
@@ -1,18 +0,0 @@
-# Fixes settings dialog for Deluge 1.3.15
-
---- deluge/ui/gtkui/preferences.py
-+++ deluge/ui/gtkui/preferences.py
-@@ -318,11 +318,8 @@ class Preferences(component.Component):
-             }
-             # Add proxy stuff
- 
--            # Display workaround for single proxy in libtorrent >v0.16
--            try:
--                lt_single_proxy = component.get("PreferencesManager").LT_SINGLE_PROXY
--            except AttributeError:
--                lt_single_proxy = False
-+            # Display workaround for single proxy in libtorrent >= v0.16
-+            lt_single_proxy = True
- 
-             for t in ("peer", "web_seed", "tracker", "dht"):
-                 if lt_single_proxy and not t == "peer":
diff --git a/srcpkgs/deluge/template b/srcpkgs/deluge/template
index 819b5fecdb9..1b41737fc7f 100644
--- a/srcpkgs/deluge/template
+++ b/srcpkgs/deluge/template
@@ -1,7 +1,7 @@
 # Template file for 'deluge'
 pkgname=deluge
-version=1.3.15
-revision=4
+version=2.0.3
+revision=1
 archs=noarch
 build_style=python2-module
 pycompile_module="deluge"
@@ -12,8 +12,8 @@ short_desc="Fully-featured cross-platform BitTorrent client"
 maintainer="Alexey Rochev <equeim@gmail.com>"
 license="GPL-3.0-or-later"
 homepage="https://deluge-torrent.org/"
-distfiles="https://download.deluge-torrent.org/source/${pkgname}-${version}.tar.gz"
-checksum=2bd239fc7ec0427302677abb86f927299aed4f043eca5d8a1bab2986b3659666
+distfiles="https://ftp.osuosl.org/pub/deluge/source/2.0/deluge-${version}.tar.xz"
+checksum=7e7ae8e6ca2a2bf0d487227cecf81e27332f0b92b567cc2bda38e47d859da891
 
 system_accounts="deluge"
 deluge_homedir="/var/lib/deluge"
@@ -29,11 +29,11 @@ deluge-gtk_package() {
 	replaces="deluge<1.3.14_1"
 	short_desc+=" - GTK+ frontend"
 	pycompile_module="deluge"
-	depends="${sourcepkg}-${version}_${revision} pygtk"
+	depends="${sourcepkg}-${version}_${revision} python-gobject"
 	pkg_install() {
 		vmove usr/bin/deluge
 		vmove usr/bin/deluge-gtk
-		vmove ${py2_sitelib}/deluge/ui/gtkui
+		vmove ${py2_sitelib}/deluge/ui/gtk3
 		vmove usr/share/applications
 		vmove usr/share/icons
 		vmove usr/share/man/man1/deluge.1
